import java.awt.Color;
import java.awt.GridLayout;
import javax.swing.JPanel;
import javax.swing.border.LineBorder;


/**
 * NOW OBSOLETE!!!!!!!
 * Creates a panel with 10 color choices. 
 *
 * @author Bryce Borchers.
 *         Created Mar 27, 2008.
 */
public class ColorPanel extends JPanel {
	
	/**
	 * Creates a grid of ten color buttons which allow us to draw in things other than black.
	 *
	 */
	public ColorPanel() {
		this.setLayout(new GridLayout(2,5));
		Color [] colors = {Color.BLACK, Color.WHITE, Color.GRAY, Color.YELLOW, Color.GREEN, Color.BLUE, Color.MAGENTA, Color.ORANGE, Color.RED, Color.PINK	};
		ColorTool [] buttons = new ColorTool[colors.length];
		for(int i=0; i<colors.length; i++) {
			buttons[i] = new ColorTool(colors[i]);
			buttons[i].setBorder(new LineBorder(Color.BLACK,5));
			this.add(buttons[i]);
		}
	}

}
